package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class SwmVo extends BaseEntity {

    private String inr;

    private String strlist;

    private String fmt;

    //Message Type

    private String mt;

    //Destination Transaction

    private String frm;

    //Message Field TAG

    private String tag;

    //Message TAG Sub ID

    private String subtag;

    //Destination Field

    private String dst;

    //Instruction

    private String ins;

    //Additional Mapping Method

    private String met;

    //Copy Flag Distance from Original Entry

    private String cpyflg;

    //Overwrite Flag

    private String ovwflg;

    //Destination Group

    private String dstgrp;

    //Alternative Mapping

    private String altmapflg;

    private Integer num;

    private String jonflg;

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getFmt() {
        return fmt;
    }

    public void setFmt(String fmt) {
        this.fmt = fmt;
    }

    public String getMt() {
        return mt;
    }

    public void setMt(String mt) {
        this.mt = mt;
    }

    public String getFrm() {
        return frm;
    }

    public void setFrm(String frm) {
        this.frm = frm;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getSubtag() {
        return subtag;
    }

    public void setSubtag(String subtag) {
        this.subtag = subtag;
    }

    public String getDst() {
        return dst;
    }

    public void setDst(String dst) {
        this.dst = dst;
    }

    public String getIns() {
        return ins;
    }

    public void setIns(String ins) {
        this.ins = ins;
    }

    public String getMet() {
        return met;
    }

    public void setMet(String met) {
        this.met = met;
    }

    public String getCpyflg() {
        return cpyflg;
    }

    public void setCpyflg(String cpyflg) {
        this.cpyflg = cpyflg;
    }

    public String getOvwflg() {
        return ovwflg;
    }

    public void setOvwflg(String ovwflg) {
        this.ovwflg = ovwflg;
    }

    public String getDstgrp() {
        return dstgrp;
    }

    public void setDstgrp(String dstgrp) {
        this.dstgrp = dstgrp;
    }

    public String getAltmapflg() {
        return altmapflg;
    }

    public void setAltmapflg(String altmapflg) {
        this.altmapflg = altmapflg;
    }
}
